<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_bc2b2cbee209b1cad0873479a8fd92" . "1a" => base64_decode("L3NjaGVtYS9zY2hlbWEucG" . "hw"), "_0a441bddac7bebad7a9858a0d" . "fadcd90" => base64_decode("MDEu" . "MDE="), "_98587fc188f350370f03d54707c" . "587e1" => base64_decode("aXNfcmVh" . "ZGFibGU="), "_09fd03941a048e1f28e" . "823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWx" . "seSBjcmVhdGVkLiBDdXJyZW" . "50IHZlcnNpb24gaXMgJw=="), "_c1bf7b7e" . "bd1ab8431" . "a8561d762" . "db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fubm" . "90IHVwZGF0ZQ=="), "_3c4298ad118f03549387eda8af859" . "750" => base64_decode("QXBwbGljYXRpb2" . "4gYWxyZWFkeSBp" . "bnN0YWxsZWQ="), "_98080012" . "c02491a0c" . "0cf9af5c9" . "77f3c7" => base64_decode("U2NoZW1hIGZpbGU6IA=" . "="), "_edc5e56d0d74937" . "af4aa39a12b4e62f" . "4" => base64_decode("MDAuMD" . "A="), "_e608e5b5c4c34a67ba97ef84c1e" . "16199" => base64_decode("J" . "w" . "=" . "="), "_4e804c3c659ffa92709458081742" . "376b" => base64_decode("Q3JlYXRpbmcg" . "c2NoZW1h"), "_afa8b786a0282957" . "bc5e6c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibG" . "UsIHNraXBwaW5nIHNjaGVtYSBjcmVhdGlvbg=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3c4298ad118f03549" . "387eda8af859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c1bf7b7ebd1ab8431a8561d" . "762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bc2b2cbe" . "e209b1cad" . "0873479a8" . "fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_98587fc188f350370f03" . "d54707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_98080012c02491a0c0cf9af5c977f3c" . "7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4e804c3c659ffa" . "927094580817423" . "76b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0a441bdda" . "c7bebad7a9" . "858a0dfadc" . "d90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_09fd03941a048e1f28e823" . "189007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e608e5b5c4c34a67ba97ef84c1e161" . "99"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_afa8b786a0282957bc5e6c82" . "eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_edc5e56d0d74937" . "af4aa39a12b4e62f" . "4"]);
        }
    }
}